This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004919 - SecurityContextInterceptor always uses doPrivilidged even when a security manager is not present
SecurityContextInterceptor always uses doPrivilidged even when a security man...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: EAP 6.2.0
Assigned To: Stuart Douglas
Jan Martiska
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 14:11 EDT by Stuart Douglas
Modified: 2013-12-15 11:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:17:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2013 Major Resolved SecurityContextInterceptor always uses doPrivilidged even when a security manager is not present 2013-09-18 08:18:50 EDT

  None (edit)
Description Stuart Douglas 2013-09-05 14:11:48 EDT
Description of problem:

SecurityContextInterceptor always uses doPrivilidged even when a security manager is not present, which is a bit slow.
Comment 1 Stuart Douglas 2013-09-05 14:13:05 EDT
Proposing for EAP 6.2, as this is trivial and will give a slight performance improvement.
Comment 3 JBoss JIRA Server 2013-09-09 06:14:46 EDT
Stuart Douglas <stuart.w.douglas@gmail.com> updated the status of jira WFLY-2013 to Resolved
Comment 4 Jan Martiska 2013-09-18 04:49:18 EDT
Verified in EAP 6.2.0.ER1.

Note You need to log in before you can comment on or make changes to this bug.